#! /bin/bash

echo "This will download tracks from zip archives listed under music/list"

mkdir -p music/files
cd music/files

echo "Downloading files..."
cat ../list | grep "^[^#;]" | xargs -n 1 curl -LO

echo "Unzipping archives..."
find . -name "*.zip" | while read filename; do
    dirname="${filename%.*}"
    mkdir $dirname
    unzip -o -d "$dirname" "$filename";
done;

echo "Done!"
